<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

if (isset($_GET["ad"]))
{
	
		
		$tpl_add_nom_1 = explode (",",trim(LEN_119)); // titulo
		$tpl_add_nom_2 = explode (",",trim(LEN_121)); // pie de foto
		$tpl_add_nom_3 = explode (",",trim(LEN_122)); // texto

		// Smarty
		$smarty->assign("form_add_items_nom_1", $tpl_add_nom_1); // titulo
		$smarty->assign("form_add_items_nom_2", $tpl_add_nom_2); // pie de foto
		$smarty->assign("form_add_items_nom_3", $tpl_add_nom_3); // texto
		
	// gestion de mensajes
	if (isset($_GET["msj"]))
	{
		
		$tpl_add_msj = $_GET["msj"];
		
		// Smarty
		$smarty->assign("form_add_items_msj", $tpl_add_msj);
			
	}

	// funciones
	function todas_categorias_add($parent,$nivel)
	{
		$q = myquery("SELECT * FROM ".CATEGORIAS." WHERE catID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[core.funciones_ct=1]");
		$nom_cat = array();
		while ($row = myfetch($q))
		{

			if (IDIOMA_ACTUAL == 0)
			{
				$row["nombre"] = $row["nombre"];
			}
			else if (IDIOMA_ACTUAL == 1)
			{
				$row["nombre"] = $row["nombre_1"];
			}
			else if (IDIOMA_ACTUAL == 2)
			{
				$row["nombre"] = $row["nombre_2"];
			}
			else if (IDIOMA_ACTUAL == 3)
			{
				$row["nombre"] = $row["nombre_3"];
			}
			else if (IDIOMA_ACTUAL == 4)
			{
				$row["nombre"] = $row["nombre_4"];
			}
			else if (IDIOMA_ACTUAL == 5)
			{
				$row["nombre"] = $row["nombre_5"];
			}					

				$row["nivel"] = $nivel;
				$nom_cat[] = $row;
			
				// subcategorias
				$nom_sub = todas_categorias($row["catID"],$nivel+1);
				for ($n=0; $n<count($nom_sub); $n++)
				{
					$nom_cat[] = $nom_sub[$n];
				}
	
		}
		return $nom_cat;

	}
	// fin funciones
		
		// categorias y securimage
		$form_add_items_categorias = todas_categorias_add(0,0);
		$form_add_items_securimage = '<img src="'.RUTA_INICIO_IMG.'paqs/scimg/securimage_show.php?sid='.md5(uniqid(time())).'" id="image" />';

		// Smarty
		$smarty->assign("form_add_items_categorias", $form_add_items_categorias);
		$smarty->assign("form_add_items_securimage", $form_add_items_securimage);

}

?>
